Subject: Re: Transport choices WAS(Re: comments on protocol draft

From: Alex Audu <[email-masked]>
Date: Sat, 17 Jul 2004 15:26:10 EDT

Hi All,

I have just managed to read the remaining aspects of draft-doria-forces- and
it is time to
give some comments.  First a comment regarding the issues about separate
control and
data (or internal control vs external control) channels.

It is quite easy to create different channels for control and data. All you
need do is create
a separate association for each (i.e. one for internal control information
exchange and the other for externally sourced information (e.g. hello, etc) ).
Certainly the protocol can have
more than one association for each type of information. You can have two for
control and
two or three for data. Nothing stops you from doing that. (see
draft-audu-forces-pl-00.txt)

TML requirements:
I have been advocating that the TML should be a very thing layer. All it
needs do is connect
two endpoints in a transparent way as much as possible. It shouldn't get
involved in things like failover management, endpoint auth,..etc.

Having said that,..TCP head-of-line-blocking  could be a problem for
congestion.  However,
I believe there is a flavor of SCTP that could be configured to have both
reliable and unreliable streams working side by side.  And SCTP does allow you to
chose non-HOLB mode.

Cheers,
Alex.

In a message dated 7/16/2004 7:16:20 PM Central Standard Time, [email-masked]
writes:
On Fri, 2004-07-16 at 13:54, Furquan Ansari wrote:
> Jamal,
>     Thanks for the response. I do believe that you mis-understood me
> and Hormuzd got it right.
> I was indeed talking about the forces (control  + data) channel
> between the CE and FE. I guess
> using the term forces data packets was bound to cause confusion - but
> there doesn't seem to
> be a better word for it (maybe, "non-forces control packets" -
> implying control plane/routing
> protocol packets such as OSPF/BGP etc.)
>
> I do believe that they should be seperated out - with two independent
> transport connections
> between the CE and FE.

Dont mean to restart this discussion all over again; the archives have a
lot of discussion on this topic;->

Ok, why do you think two would be sufficient? Would they be going over
the same link? Why not 8 or 1 if they are going over the same interface?
could we use prioritization of the different messages
over the same link to achieve the same end goal?

>  As I mentioned earlier, the TML requirements of the forces control
> channel may not suit well with respect to the TML requirements of the
> forces data channel.
> Choosing one transport delivery imposes that on the other.

Depends really. TCP HOL blocking will be a problem in cases of congested
links. Considering that you could put in place rate controls, and QoS
a lot of things could be made to work.
Do we really wanna start this discussion?

cheers,
jamal

---

From: Furquan Ansari <[email-masked]>
Date: Mon, 19 Jul 2004 13:45:55 -0400

Hi Alex/Jamal,

    I agree that it is indeed quite easy to create different channels
for control and data by simply
using seperate associations for each. I was just pointing out that it is
not mentioned anywhere
in the draft-doria-forces-. The question is more of "can or may" versus
"should or must".

Thanks,

Alex Audu wrote:

> Hi All,
>
> I have just managed to read the remaining aspects of
> draft-doria-forces- and it is time to
> give some comments.  First a comment regarding the issues about
> separate control and
> It is quite easy to create different channels for control and data.
> All you need do is create
> a separate association for each (i.e. one for internal control
> information exchange and the other for externally sourced information
> (e.g. hello, etc) ). Certainly the protocol can have
> more than one association for each type of information. You can have
> two for control and
> I have been advocating that the TML should be a very thing layer. All
> it needs do is connect
> two endpoints in a transparent way as much as possible. It shouldn't
> get involved in things like failover management, endpoint auth,..etc.
>
> I believe there is a flavor of SCTP that could be configured to have
> both reliable and unreliable streams working side by side.  And SCTP
> does allow you to chose non-HOLB mode.
>
> Cheers,
> Alex.
>
>
> In a message dated 7/16/2004 7:16:20 PM Central Standard Time,
> [email-masked] writes:
>

--
Furquan Ansari
Bell Labs Research                      Ph : 732-949-5249
Holmdel, NJ                             Fax: 732-949-4556